New to KendoReact? Start a free 30-day trial

Stepper

Component

Definition

Package:@progress/kendo-react-layout

Syntax:

jsx
const steps = [
   { label: 'Step 1' },
   { label: 'Step 2' },
   { label: 'Step 3', optional: true }
];

const App = () => {
  return (
      <Stepper items={steps} value={1} />
  );
};

Properties

The props of the Stepper component.

In this article
DefinitionPropertiesprops
Not finding the help you need?
Contact Support

New to Kendo UI for VueStart a free 30-day trial

Stepper

Class

Represents the Kendo UI for Vue Stepper component.

jsx
<template>
   <Stepper :value="value" @change="handleChange" :items="items" />
</template>

<script>
import {
 Stepper
    } from '@progress/kendo-vue-layout';
export default {
    components: {
       Stepper
    },
    data () {
      return {
        value: 0,
        items: [
          {
            label: "Cart",
            icon: "cart",
          },
          {
            label: "Delivery Address",
            icon: "marker-pin-target",
          },
          {
            label: "Payment Method",
            icon: "dollar",
          },
          {
            label: "Preview",
            icon: "preview",
            optional: true,
          },
          {
            label: "Finish Order",
            icon: "track-changes-accept",
          },
        ]
      }
    },
    methods: {
      handleChange (e) {
        this.value = e.value;
      }
    }
};
</script>

Definition

Package:@progress/kendo-vue-layout

In this article
Definition
Not finding the help you need?
Contact Support